Album: candles + potency
Artists:
- Solatrus
Date: September 4, 2020
Date Added: September 16, 2023
URLs:
- https://solatrus.bandcamp.com/track/candles-potency
Cover Artists:
- Seth Massey
- managummi (typography)
Cover Art File Extension: png
Track Art File Extension: png
Color: '#bdeed9'
Groups:
- group:fandom
Art Tags:
- Dave
Commentary: |-
    <i>Solatrus:</i>
    Heck yeah it's here!

    This is a remix of [[artist:james-dever|James Dever's]] [[track:candles-and-clockwork|Candles and Clockwork]] from the Homestuck soundtrack!
---
Track: candles + potency
Contributors:
- Marcy Nabors (samples & production assistance)
Duration: '4:13'
URLs:
- https://solatrus.bandcamp.com/track/candles-potency
Referenced Tracks:
- Candles and Clockwork